GoAhead webszerver sérülékenysége

CH azonosító

CH-14327

Angol cím

GoAhead web server vulnerability

Felfedezés dátuma

2017.12.17.

Súlyosság

Magas

Érintett rendszerek

GoAhead Web Server

Érintett verziók

3.6.5 előtti.

Összefoglaló

A GoAhead webszerver sérülékenysége vált ismertté, melyet kihasználva a támadó tetszőleges kódot futtathat az érintett kiszolgálón.

Leírás

A sérülékenységet a cgiHandler függvény hibája okozza, melyet kihasználva a támadó átveheti az irányítást a tetszőleges környezeti változó felett, és ezzel távoli kódfuttatást érhet el.

Megoldás

Frissítsen a legújabb verzióra

Megoldás

Telepítse az alábbi hivatkozáson található javítást: https://github.com/embedthis/goahead/commit/6f786c123196eb622625a920d54048629a7caa74#diff-7c9c60c790648b06210f57b9e2f53ca7